package com.ywt.mg.domain.models.enums;

import java.text.DecimalFormat;

public enum MedicalCardStatusEnum {
    Normal("正常", 1),
    Deleted("删除", 2);

    private final String displayName;
    private final int value;

    MedicalCardStatusEnum(String displayName, int value) {
        this.displayName = displayName;
        this.value = value;
    }

    public String getDisplayName() {
        return displayName;
    }

    public int getValue() {
        return value;
    }

    public static  MedicalCardStatusEnum getDisplayName (Integer value){
        switch(value){
            case 1:
                return Normal;
            case 2:
                return Deleted;
            default:
                return null;
        }
    }
}
